none
ASP.NET Configure Data Wizard error Error This version of the entity Data Source wizard is only compatible with Entity Framework 5.

    Question

  • Visual Studio 2015 Version 14.0.25123.00 update 2

    Microsoft .NET framework Version 4.6.01038

    ASP.NET and Web Tools 2015 (RC1 Update 1) 14.20203.0

    This version of the Entity Data Source wizard is only compatible with Entity Framework 5.  If you're not using Entity Framework 5 you can configure the control be editing the markup on the page.  The page editor has IntelliSense supprot for ASP.NET controls.  If you using the Entity Framework 6 you should also be using the EF6-compatible version of the Entity Data source control, available as the mcrosoft.aspnet.entitydataaource package in NuGet. 

    I have installed the new package. 

    Installed Version 6.0.0

    any ideas if I am going be able to use the wizard to set the data source?


    DEM

    Tuesday, May 3, 2016 4:03 PM

Answers

All replies

  • Hi IrishDudeOH,

    Could do you please tell us the detailed steps about when do you get this error message? I will try reproduce this problem in my side to check whether it is related to Visual Studio or project. And please tell us which package do you install?

    Please check the version of Entity Framework that used in your project and then find the compatible Entity Data Source control to use in your project.

    In addition, please create a default project and then use the Data Source Control to make sure whether this problem related to Visual Studio or the specific project.

    Best Regards,
    Weiwei


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place.
    Click HERE to participate the survey.

    Wednesday, May 4, 2016 6:05 AM
    Moderator
  • Thanks for helping.

    The project includes

    EntityFramework    .net  6.0.0.0.

    EntityFramework.sqlserver   .net  6.0.0.0.

    Also have installed Microsoft.aspnet.entitydatasource v6.0.0 into the project.

    Add New Item

      Web Form

      In Designer - drag EntityDataSource or a data control that has a EntityDataSource from the Toolbox.

      Click Configure Data Source and I receive the error.

    I am not sure, but it appears the controls are using the old data source, any way to swtich them to to use the new EntityDataSource?


    DEM


    Wednesday, May 4, 2016 11:20 AM
  • Hi IrishDudeOH,

    According to the error message, the default <asp:EntityDataSource> doesn't support EF 6 and I also try use this control in EF 4, it works fine.

    For EF 6, if you want use EntityDataSource, please install Microsoft.AspNet.EntityDataSource and Microsoft.AspNet.DynamicData.EFProvider packages from NuGet.

    https://blogs.msdn.microsoft.com/webdev/2014/02/28/announcing-the-release-of-dynamic-data-provider-and-entitydatasource-control-for-entity-framework-6/

    If you want to use EntityDataSource control in EF 6 for a new project, I'm afraid that you need to configure the connection information manually.

    http://stackoverflow.com/questions/25836705/entitydatasource-and-entity-framework-6

    If you use it in an existing project which upgrade from EF 4 to EF 6, please refer to following thread.

    http://stackoverflow.com/questions/19792144/entity-datasource-not-working-with-entity-framework-6-upgrade

    Since this forum is discuss Visual Studio WPF/SL Designer, Visual Studio Guidance Automation Toolkit, Developer Documentation and Help System, and Visual Studio Editor.

    Your problem is more related to Entity Framework 6 and EntityDataSource control, if has more problem about EF 6 and EntityDataSource control, please post your problem to ASP.NET forum for a better help. Thanks for your understanding.

    Best Regards,
    Weiwei


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place.
    Click HERE to participate the survey.

    Thursday, May 5, 2016 3:31 AM
    Moderator